Page 3 of 5

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Wed Dec 21, 2011 2:51 pm
by BostonPeng
secipolla wrote:You missed the basics: install KDE.
mint-tee wrote: .
.
Added the Qt.kde.debian repo
Added the kde keyring:

sudo apt-get install pkg-kde-archive-keyring
sudo apt-get update
sudo apt-get install kde-full
sudo apt-get -t experimental-snapshots dist-upgrade
reboot
.
.
I used kde-standard and got it working beautifully.

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Wed Dec 21, 2011 3:13 pm
by mint-tee
secipolla,

You are a star!
Many thanks for that vital piece of information about KDE. I do not recall that being mentioned earlier, but never mind. I have learned a lot whilst dealing with various errors.
Hopefully my post may make it easier for others in the future.

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Wed Dec 21, 2011 3:35 pm
by zerozero
well, yeahh, if you want kde, you have to install it at some point (specially if you start with a xfce system, it won't be there for sure)
mint-tee wrote: but never mind.

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Wed Dec 21, 2011 3:55 pm
by mint-tee
if you want kde, you have to install it at some point
Yes, but it's a pity that nobody prior to secipolla mentioned the when and the where for installing kde. I assumed that since a qt.kde repo was being used that the required kde files would be supplied from there.

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Wed Dec 21, 2011 4:03 pm
by zerozero
mint-tee :) there's no point in this, but anyway look at the command you issued:
sudo apt-get -t experimental-snapshots dist-upgrade
(there's no install in there, there's upgrade, so you will assume that kde is already installed and with that you will update it to 4.7.2)

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Wed Dec 21, 2011 4:12 pm
by mint-tee
zerozero,

Well, as they say at Christmas, fairy nuff. :)

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Fri Dec 23, 2011 11:36 am
by BostonPeng
I'm not sure what happened, but yesterday I noticed that my Desktop Effects config screen changed and I no longer have the snow eye candy, and it looks like the Desktop Effects screen may have lost some other items. Does anyone know what I might be able to do to get them back? Right now KDE is the only way I have to enjoy a white Chrismukkuh in Boston and I'd sure love to be able to use it.

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Thu Dec 29, 2011 11:32 pm
by craigevil
KDE 4.7.4 is in Debian experimental. The easiest way to install it at least for me was to use Synaptic to mark all of the 4.7.4 packages for upgrade.

No issues with it here.
System: Host: debian Kernel: 3.1.0-1-486 i686 (32 bit) Desktop KDE 4.7.4 Distro: Debian GNU/Linux wheezy/sid

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Fri Dec 30, 2011 9:46 am
by BostonPeng
I've already gotten SC 4.7.2 installed. What's the best way to switch to Debian experimental, or should I just stick with what I have?

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Sat Dec 31, 2011 7:05 pm
by mockturtl
BostonPeng wrote:I've already gotten SC 4.7.2 installed. What's the best way to switch to Debian experimental, or should I just stick with what I have?
Konsole says I'm using 4.7.4, after an update && upgrade (not dist-upgrade!) with

Code: Select all

deb http://ftp.us.debian.org/debian experimental main contrib non-free
If I'm reading the official instructions correctly, the qt-kde.debian.net repo is no longer necessary.

Code: Select all

The following packages have been kept back:
  apt apt-utils compiz-core compiz-gnome compiz-gtk compiz-plugins
  compizconfig-backend-gconf compizconfig-settings-manager gir1.2-totem-1.0
  libcompizconfig0 libhsqldb-java libtotem0 python-compizconfig python-numpy
  python-software-properties software-properties-gtk totem totem-common
  totem-mozilla totem-plugins xserver-xorg-core xserver-xorg-video-fbdev
  xserver-xorg-video-r128
I'm not feeling experimental enough to dist-upgrade. Maybe next year.

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Sat Dec 31, 2011 7:09 pm
by craigevil
BostonPeng wrote:I've already gotten SC 4.7.2 installed. What's the best way to switch to Debian experimental, or should I just stick with what I have?
The Debian KDE maintainers website - http://pkg-kde.alioth.debian.org/kde47.html
Upgrade to KDE SC 4.7.4 packagesInstall KDE 4 Debian packages in your hard disk

There are 4.7.4 packages available in experimental, you can upgrade your KDE SC to 4.7.4 both from the 4.6.5 packages in Debian sid and from the KDE SC 4.7.2 packages formerly available at qt-kde.debian.net, you can do the upgrade thusly:

1. Add the experimental repository to your sources.list:

# Replace 'xx' or the whole url to use your local mirror.
deb http://ftp.xx.debian.org/debian/ experimental main
deb-src http://ftp.xx.debian.org/debian/ experimental main

2. Download this file and save it as /etc/apt/preferences.d/kde-experimental, beware if you already have an /etc/apt/preferences or you have other files in /etc/apt/preferences.d/, if that's your case you should read you apt preferences files and understand well what you are doing. In any case, you can do "man apt_preferences" to find more information about apt pinning.

3. Just upgrade your system with "apt-get update && apt-get dist-upgrade" or "aptitude update && aptitude dist-upgrade".

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Sat Dec 31, 2011 7:33 pm
by zerozero
well, so i did it differently :lol:
- uncommented the experimental repos in my sources.list (they were already there, just in case...)

Code: Select all

## experimental ##
# deb http://ftp.debian.org/debian experimental main contrib non-free
# deb-src http://ftp.debian.org/debian experimental main contrib non-free
# deb http://www.debian-multimedia.org experimental main non-free 
- then refreshed synaptic and filtered the upgradable pkg with the keyword "kde"
- marked all of those for upgrade
- and 4.7.4 without a problem
Start-Date: 2011-12-31 21:27:06

Code: Select all

Commandline: synaptic
Install: libexttextcat0:amd64 (3.2.0-1), libexttextcat-data:amd64 (3.2.0-1), kmenuedit:amd64 (4.7.4-1, automatic), kamera:amd64 (4.7.4-1, automatic), libcmis-0.2-0:amd64 (0.1.0-1), libvisio-0.0-0:amd64 (0.0.11-2, automatic)
Upgrade: libkworkspace4:amd64 (4.7.2-1, 4.7.4-1), libreoffice-style-galaxy:amd64 (3.4.4-2, 3.5.0~beta2-2), libkresources4:amd64 (4.7.2-1, 4.7.4-1), plasma-desktopthemes-artwork:amd64 (4.7.2-1, 4.7.4-1), libkprintutils4:amd64 (4.7.2-2, 4.7.4-1), libreoffice-gnome:amd64 (3.4.4-2+b1, 3.5.0~beta2-2), libkldap4:amd64 (4.7.2-1, 4.7.4-1), libreoffice-draw:amd64 (3.4.4-2+b1, 3.5.0~beta2-2), libktnef4:amd64 (4.7.2-1, 4.7.4-1), libkonq5-templates:amd64 (4.7.2-1, 4.7.4-1), freespacenotifier:amd64 (4.7.2-1, 4.7.4-1), kde-baseapps:amd64 (4.7.2-1, 4.7.4-1), kdeartwork-theme-window:amd64 (4.7.2-1, 4.7.4-1), libkcalcore4:amd64 (4.7.2-1, 4.7.4-1), plasma-containments-addons:amd64 (4.7.2-1, 4.7.4-1), kde-baseapps-bin:amd64 (4.7.2-1, 4.7.4-1), libreoffice-style-tango:amd64 (3.4.4-2, 3.5.0~beta2-2), libkholidays4:amd64 (4.7.2-1, 4.7.4-1), libknewstuff2-4:amd64 (4.7.2-2, 4.7.4-1), libreoffice-impress:amd64 (3.4.4-2+b1, 3.5.0~beta2-2), kde-workspace-data:amd64 (4.7.2-1, 4.7.4-1), libknewstuff3-4:amd64 (4.7.2-2, 4.7.4-1), ksnapshot:amd64 (4.7.2-1, 4.7.4-1), plasma-wallpapers-addons:amd64 (4.7.2-1, 4.7.4-1), libkipi8:amd64 (4.7.2-1, 4.7.4-1), libkipi-data:amd64 (4.7.2-1, 4.7.4-1), libkdeclarative5:amd64 (4.7.2-2, 4.7.4-1), libnepomukquery4a:amd64 (4.7.2-2, 4.7.4-1), konqueror-nsplugins:amd64 (4.7.2-1, 4.7.4-1), kde-standard:amd64 (71, 72), libplasma-geolocation-interface4:amd64 (4.7.2-1, 4.7.4-1), kde-workspace-bin:amd64 (4.7.2-1, 4.7.4-1), libweather-ion6:amd64 (4.7.2-1, 4.7.4-1), libkonq-common:amd64 (4.7.2-1, 4.7.4-1), gwenview:amd64 (4.7.2-1, 4.7.4-1), kde-icons-mono:amd64 (4.7.2-1, 4.7.4-1), libmarblewidget12:amd64 (4.7.2-1, 4.7.4-1), libthreadweaver4:amd64 (4.7.2-2, 4.7.4-1), libkdecore5:amd64 (4.7.2-2, 4.7.4-1), libnepomukutils4:amd64 (4.7.2-2, 4.7.4-1), libktexteditor4:amd64 (4.7.2-2, 4.7.4-1), libkmediaplayer4:amd64 (4.7.2-2, 4.7.4-1), kcalc:amd64 (4.7.2-1, 4.7.4-1), plasma-scriptengine-python:amd64 (4.7.2-1, 4.7.4-1), kdeplasma-addons:amd64 (4.7.2-1, 4.7.4-1), oxygen-icon-theme:amd64 (4.7.2-1, 4.7.4-1), libakonadi-kmime4:amd64 (4.7.2-1, 4.7.4-1), plasma-scriptengine-javascript:amd64 (4.7.2-1, 4.7.4-1), klipper:amd64 (4.7.2-1, 4.7.4-1), libkrosscore4:amd64 (4.7.2-2, 4.7.4-1), libplasmaclock4abi2:amd64 (4.7.2-1, 4.7.4-1), plasma-scriptengine-googlegadgets:amd64 (4.7.2-1, 4.7.4-1), kdebase-workspace-bin:amd64 (4.7.2-1, 4.7.4-1), kwalletmanager:amd64 (4.7.2-1, 4.7.4-1), ksysguard:amd64 (4.7.2-1, 4.7.4-1), libokularcore1:amd64 (4.7.2-1, 4.7.4-1), libkcddb4:amd64 (4.7.2-1, 4.7.4-1), konq-plugins:amd64 (4.7.2-1, 4.7.4-1), libkwineffects1abi2:amd64 (4.7.2-1, 4.7.4-1), libkateinterfaces4:amd64 (4.7.2-1, 4.7.4-1), dolphin:amd64 (4.7.2-1, 4.7.4-1), kwrite:amd64 (4.7.2-1, 4.7.4-1), plasma-dataengines-addons:amd64 (4.7.2-1, 4.7.4-1), libsyndication4:amd64 (4.7.2-1, 4.7.4-1), khelpcenter4:amd64 (4.7.2-1, 4.7.4-1), libsolid4:amd64 (4.7.2-2, 4.7.4-1), libreoffice-math:amd64 (3.4.4-2+b1, 3.5.0~beta2-2), marble-plugins:amd64 (4.7.2-1, 4.7.4-1), libkontactinterface4:amd64 (4.7.2-1, 4.7.4-1), libnepomuk4:amd64 (4.7.2-2, 4.7.4-1), konsole:amd64 (4.7.2-1, 4.7.4-1), libkcalutils4:amd64 (4.7.2-1, 4.7.4-1), libreoffice-gtk:amd64 (3.4.4-2+b1, 3.5.0~beta2-2), libreoffice-common:amd64 (3.4.4-2, 3.5.0~beta2-2), libmicroblog4:amd64 (4.7.2-1, 4.7.4-1), libkonqsidebarplugin4a:amd64 (4.7.2-1, 4.7.4-1), libkdnssd4:amd64 (4.7.2-2, 4.7.4-1), libksgrd4:amd64 (4.7.2-1, 4.7.4-1), libkparts4:amd64 (4.7.2-2, 4.7.4-1), ark:amd64 (4.7.2-1, 4.7.4-1), sweeper:amd64 (4.7.2-1, 4.7.4-1), libqgpgme1:amd64 (4.7.2-1, 4.7.4-1), kde-runtime-data:amd64 (4.7.2-1, 4.7.4-1), kde-plasma-desktop:amd64 (71, 72), kde-window-manager:amd64 (4.7.2-1, 4.7.4-1), uno-libs3:amd64 (3.4.4-2+b1, 3.5.0~beta2-2), libtaskmanager4abi2:amd64 (4.7.2-1, 4.7.4-1), libkabc4:amd64 (4.7.2-1, 4.7.4-1), kdoctools:amd64 (4.7.2-2, 4.7.4-1), libkdecorations4:amd64 (4.7.2-1, 4.7.4-1), python-uno:amd64 (3.4.4-2+b1, 3.5.0~beta2-2), plasma-scriptengine-ruby:amd64 (4.7.2-1, 4.7.4-1), kfind:amd64 (4.7.2-1, 4.7.4-1), dragonplayer:amd64 (4.7.2-1, 4.7.4-1), kdebase-bin:amd64 (4.7.2-1, 4.7.4-1), kde-baseapps-data:amd64 (4.7.2-1, 4.7.4-1), kde-wallpapers:amd64 (4.7.2-1, 4.7.4-1), plasma-widget-folderview:amd64 (4.7.2-1, 4.7.4-1), kde-workspace:amd64 (4.7.2-1, 4.7.4-1), kdegraphics-libs-data:amd64 (4.7.2+5.71, 4.7.4+5.72), kdm:amd64 (4.7.2-1, 4.7.4-1), plasma-scriptengines:amd64 (4.7.2-1, 4.7.4-1), libkidletime4:amd64 (4.7.2-2, 4.7.4-1), katepart:amd64 (4.7.2-1, 4.7.4-1), juk:amd64 (4.7.2-1, 4.7.4-1), libkunitconversion4:amd64 (4.7.2-2, 4.7.4-1), libkcmutils4:amd64 (4.7.2-2, 4.7.4-1), libkcal4:amd64 (4.7.2-1, 4.7.4-1), plasma-widgets-addons:amd64 (4.7.2-1, 4.7.4-1), libkfile4:amd64 (4.7.2-2, 4.7.4-1), libkopete4:amd64 (4.7.2-1, 4.7.4-1), kde-workspace-kgreet-plugins:amd64 (4.7.2-1, 4.7.4-1), libkpty4:amd64 (4.7.2-2, 4.7.4-1), libplasmagenericshell4:amd64 (4.7.2-1, 4.7.4-1), libkimap4:amd64 (4.7.2-1, 4.7.4-1), kde-l10n-engb:amd64 (4.7.2-1, 4.7.4-1), konqueror:amd64 (4.7.2-1, 4.7.4-1), plasma-scriptengine-superkaramba:amd64 (4.7.2-1, 4.7.4-1), libmailtransport4:amd64 (4.7.2-1, 4.7.4-1), plasma-scriptengine-webkit:amd64 (4.7.2-1, 4.7.4-1), libksignalplotter4:amd64 (4.7.2-1, 4.7.4-1), kscreensaver:amd64 (4.7.2-1, 4.7.4-1), libkntlm4:amd64 (4.7.2-2, 4.7.4-1), ure:amd64 (3.4.4-2+b1, 3.5.0~beta2-2), kinfocenter:amd64 (4.7.2-1, 4.7.4-1), libplasma3:amd64 (4.7.2-2, 4.7.4-1), plasma-dataengines-workspace:amd64 (4.7.2-1, 4.7.4-1), kde-wallpapers-default:amd64 (4.7.2-1, 4.7.4-1), plasma-widget-lancelot:amd64 (4.7.2-1, 4.7.4-1), ksysguardd:amd64 (4.7.2-1, 4.7.4-1), libkimproxy4:amd64 (4.7.2-2, 4.7.4-1), libkemoticons4:amd64 (4.7.2-2, 4.7.4-1), libreoffice-base-core:amd64 (3.4.4-2+b1, 3.5.0~beta2-2), libkpimtextedit4:amd64 (4.7.2-1, 4.7.4-1), libkephal4abi1:amd64 (4.7.2-1, 4.7.4-1), plasma-runners-addons:amd64 (4.7.2-1, 4.7.4-1), libkscreensaver5:amd64 (4.7.2-1, 4.7.4-1), libkmime4:amd64 (4.7.2-1, 4.7.4-1), libreoffice-base:amd64 (3.4.4-2+b1, 3.5.0~beta2-2), kdelibs-bin:amd64 (4.7.2-2, 4.7.4-1), libkdewebkit5:amd64 (4.7.2-2, 4.7.4-1), kdepimlibs-kio-plugins:amd64 (4.7.2-1, 4.7.4-1), kde-runtime:amd64 (4.7.2-1, 4.7.4-1), libksane-data:amd64 (4.7.2-1, 4.7.4-1), libkjsembed4:amd64 (4.7.2-2, 4.7.4-1), libreoffice-calc:amd64 (3.4.4-2+b1, 3.5.0~beta2-2), kde-style-oxygen:amd64 (4.7.2-1, 4.7.4-1), libkio5:amd64 (4.7.2-2, 4.7.4-1), libakonadi-kabc4:amd64 (4.7.2-1, 4.7.4-1), libkjsapi4:amd64 (4.7.2-2, 4.7.4-1), kdemultimedia-kio-plugins:amd64 (4.7.2-1, 4.7.4-1), libprocesscore4abi1:amd64 (4.7.2-1, 4.7.4-1), kopete:amd64 (4.7.2-1, 4.7.4-1), kdelibs5-data:amd64 (4.7.2-2, 4.7.4-1), kdebase-runtime:amd64 (4.7.2-1, 4.7.4-1), libkpimidentities4:amd64 (4.7.2-1, 4.7.4-1), libkpimutils4:amd64 (4.7.2-1, 4.7.4-1), kdebase-apps:amd64 (4.7.2-1, 4.7.4-1), kate:amd64 (4.7.2-1, 4.7.4-1), libreoffice-java-common:amd64 (3.4.4-2, 3.5.0~beta2-2), kscreensaver-xsavers:amd64 (4.7.2-1, 4.7.4-1), marble-data:amd64 (4.7.2-1, 4.7.4-1), libsolidcontrolifaces4abi2:amd64 (4.7.2-1, 4.7.4-1), libkde3support4:amd64 (4.7.2-2, 4.7.4-1), plasma-desktop:amd64 (4.7.2-1, 4.7.4-1), libknotifyconfig4:amd64 (4.7.2-2, 4.7.4-1), systemsettings:amd64 (4.7.2-1, 4.7.4-1), kdelibs5-plugins:amd64 (4.7.2-2, 4.7.4-1), libprocessui4a:amd64 (4.7.2-1, 4.7.4-1), libkhtml5:amd64 (4.7.2-2, 4.7.4-1), libkdeui5:amd64 (4.7.2-2, 4.7.4-1), libakonadi-kcal4:amd64 (4.7.2-1, 4.7.4-1), libkdesu5:amd64 (4.7.2-2, 4.7.4-1), okular:amd64 (4.7.2-1, 4.7.4-1), libkatepartinterfaces4:amd64 (4.7.2-1, 4.7.4-1), plasma-widgets-workspace:amd64 (4.7.2-1, 4.7.4-1), libkutils4:amd64 (4.7.2-2, 4.7.4-1), kate-data:amd64 (4.7.2-1, 4.7.4-1), libakonadi-contact4:amd64 (4.7.2-1, 4.7.4-1), libreoffice-core:amd64 (3.4.4-2+b1, 3.5.0~beta2-2), libakonadi-kde4:amd64 (4.7.2-1, 4.7.4-1), python-kde4:amd64 (4.7.2-1, 4.7.4-1), libreoffice-writer:amd64 (3.4.4-2+b1, 3.5.0~beta2-2), kdebase-workspace:amd64 (4.7.2-1, 4.7.4-1), libsolidcontrol4abi2:amd64 (4.7.2-1, 4.7.4-1), libgpgme++2:amd64 (4.7.2-1, 4.7.4-1), kdepasswd:amd64 (4.7.2-1, 4.7.4-1), kmix:amd64 (4.7.2-1, 4.7.4-1), libkonq5abi1:amd64 (4.7.2-1, 4.7.4-1)

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Sun Jan 01, 2012 9:59 am
by BostonPeng
Sweetness! Thanks for the good news mockturtl, craig and zero! It's the perfect thing to see as my first bit of info once I fire up my laptop in 2012. Add another round to my tab, you three.

@all:
I trust 2012 has gotten off to a nice start, and may you have a wonderful KDE-filled 2012!

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Sun Jan 01, 2012 10:24 am
by BostonPeng
Got the new repos added and got the rules file, but when I ran dist-upgrade I saw something that really gives me pause.
The following packages will be REMOVED:
apt-file aptitude apturl apturl-common command-not-found dpkg-ruby gdebi-core gdebi-kde gimp gimp-gmic gimp-plugin-registry gimp-texturize gufw libapt-pkg-perl
libdpkg-ruby1.8 libept1 libreoffice libreoffice-base libreoffice-report-builder libreoffice-report-builder-bin libwine libwine-alsa libwine-cms libwine-gl libwine-gphoto2
libwine-ldap libwine-print libwine-sane mint-common mintbackup mintdesktop mintnanny mintsystem mintupdate-debian mintupload mintwelcome mintwifi ndisgtk nvidia-glx
nvidia-kernel-dkms ooohg openclipart-libreoffice python-apt python-bugbuddy python-eggtrayicon python-evolution python-glade2 python-gmenu python-gnome2 python-gnomeapplet
python-gnomedesktop python-gnomekeyring python-gtk2 python-gtksourceview2 python-gtkspell python-notify python-pyatspi python-sexy python-software-properties python-vte
python-webkit python-wnck python3-apt ruby-debian software-properties-gtk software-properties-kde sonata startupmanager synaptic system-config-printer tcl8.5-doc
unattended-upgrades update-notifier-common update-notifier-kde wajig wine wine-bin wine-utils
The following NEW packages will be installed:
gcc-4.7-base grilo-plugins-0.1 kamera kde-icons-mono kdegraphics-strigi-analyzer kdegraphics-thumbnailers libapt-inst1.4 libapt-pkg4.12 libcdt4 libcmis-0.2-0 libexiv2-11
libexttextcat-data libexttextcat0 libgraph4 libgrilo-0.1-0 libgupnp-av-1.0-2 libgvc5 libkdcraw20 libmagickcore5 libmagickcore5-extra libmagickwand5 libminiupnpc8
libmono-compilerservices-symbolwriter4.0-cil libmono-corlib4.0-cil libmono-i18n-west4.0-cil libmono-i18n4.0-cil libmono-posix4.0-cil libmono-security4.0-cil
libmono-system-configuration4.0-cil libmono-system-core4.0-cil libmono-system-security4.0-cil libmono-system-xml4.0-cil libmono-system4.0-cil libmtdev1 libopencv-calib3d2.3
libopencv-contrib2.3 libopencv-features2d2.3 libopencv-flann2.3 libopencv-gpu2.3 libopencv-highgui2.3 libopencv-legacy2.3 libopencv-ml2.3 libopencv-objdetect2.3
libopencv-video2.3 libpathplan4 libservlet2.4-java libspandsp2 libtiff5 libvisio-0.0-0 libwine-alsa-unstable libwine-bin-unstable libwine-cms-unstable libwine-gecko-unstable
libwine-gl-unstable libwine-gphoto2-unstable libwine-ldap-unstable libwine-openal-unstable libwine-print-unstable libwine-sane-unstable libwine-unstable libxdot4
libzvbi-common libzvbi0 mono-4.0-gac tcl8.6 tcl8.6-dev tcl8.6-doc wine-bin-unstable wine-unstable
The following packages have been kept back:
xserver-xorg xserver-xorg-core xserver-xorg-input-evdev xserver-xorg-input-synaptics xserver-xorg-input-wacom xserver-xorg-video-apm xserver-xorg-video-ark
xserver-xorg-video-ati xserver-xorg-video-chips xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-i128 xserver-xorg-video-i740 xserver-xorg-video-intel
xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-neomagic xserver-xorg-video-openchrome xserver-xorg-video-radeon xserver-xorg-video-rendition
xserver-xorg-video-s3 xserver-xorg-video-s3virge xserver-xorg-video-savage xserver-xorg-video-siliconmotion xserver-xorg-video-sis xserver-xorg-video-sisusb
xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-tseng xserver-xorg-video-vesa xserver-xorg-video-vmware xserver-xorg-video-voodoo
The following packages will be upgraded:
amor apt apt-utils ark bash-completion bomber bovo cli-common dbus dbus-x11 debian-archive-keyring digikam digikam-data dolphin dragonplayer exiv2 ffmpegthumbs filelight
findutils fonts-opensymbol freespacenotifier fretsonfire fretsonfire-game gawk gir1.2-gst-plugins-base-0.10 gir1.2-gstreamer-0.10 gir1.2-totem-1.0 git git-man granatier
gstreamer0.10-alsa gstreamer0.10-gconf gstreamer0.10-plugins-bad gstreamer0.10-plugins-base gstreamer0.10-plugins-good gstreamer0.10-plugins-ugly gstreamer0.10-pulseaudio
gstreamer0.10-tools gstreamer0.10-x gwenview ifupdown imagemagick imagemagick-common iptables jovie juk kajongg kapman kate kate-data katepart katomic kbattleship kblackbox
kblocks kbounce kbreakout kcalc kcharselect kde-baseapps kde-baseapps-bin kde-baseapps-data kde-config-cddb kde-config-cron kde-icons-nuvola kde-plasma-desktop kde-runtime
kde-runtime-data kde-runtime-dbg kde-sc-dev-latest kde-standard kde-style-oxygen kde-wallpapers kde-wallpapers-default kde-window-manager kde-workspace kde-workspace-bin
kde-workspace-data kde-workspace-dbg kde-workspace-dev kde-workspace-kgreet-plugins kdeadmin kdeartwork kdeartwork-emoticons kdeartwork-style kdeartwork-theme-icon
kdeartwork-theme-window kdebase-apps kdebase-bin kdebase-runtime kdegames kdegames-card-data kdegames-mahjongg-data kdegraphics-libs-data kdegraphics-strigi-plugins
kdelibs-bin kdelibs5-data kdelibs5-dbg kdelibs5-dev kdelibs5-plugins kdemultimedia kdemultimedia-kio-plugins kdenetwork-filesharing kdepasswd kdepimlibs-kio-plugins
kdeplasma-addons kdesdk-dolphin-plugins kdetoys kdeutils kdewallpapers kdewebdev kdf kdiamond kdm kdoctools kfilereplace kfind kfourinline kgoldrunner kgpg khelpcenter4 kigo
killbots kimagemapeditor kinfocenter kipi-plugins kipi-plugins-common kiriki kjumpingcube klibc-utils klickety klines klinkstatus klipper kmahjongg kmenuedit kmines kmix
kmouth knetwalk kolf kollision kommander konq-plugins konqueror konqueror-nsplugins konquest konsole konsole-dbg kopete kpat kremotecontrol kreversi kscd kscreensaver
kscreensaver-xsavers kscreensaver-xsavers-webcollage kshisen ksirk ksnapshot kspaceduel ksquares ksudoku ksysguard ksysguardd ksystemlog kteatime ktimer ktron kttsd
ktuberling ktux kubrick kuser kwalletmanager kwrite lib32gcc1 lib32stdc++6 lib32v4l-0 lib32z1 libakonadi-contact4 libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4
libakonadi-kmime4 libboo2.0.9-cil libdbus-1-3 libdecoration0 libgadu3 libgcc1 libgdiplus libgfortran3 libgomp1 libgpgme++2 libgstreamer-plugins-base0.10-0 libgstreamer0.10-0
libhsqldb-java libkabc4 libkateinterfaces4 libkatepartinterfaces4 libkblog4 libkcal4 libkcalcore4 libkcalutils4 libkcddb4 libkcmutils4 libkdcraw-data libkde3support4
libkdeclarative5 libkdecorations4 libkdecore5 libkdegames5a libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkemoticons4 libkephal4abi1 libkexiv2-10 libkexiv2-data libkfile4
libkggzgames4 libkggzmod4 libkggznet4 libkholidays4 libkhtml5 libkidletime4 libkimap4 libkimproxy4 libkio5 libkipi-data libkipi8 libkjsapi4 libkjsembed4 libkldap4 libklibc
libkmahjongglib4 libkmediaplayer4 libkmime4 libknewstuff2-4 libknewstuff3-4 libknotifyconfig4 libkntlm4 libkonq-common libkonq5-dev libkonq5-templates libkonq5abi1
libkonqsidebarplugin4a libkontactinterface4 libkopete4 libkparts4 libkpimidentities4 libkpimtextedit4 libkpimutils4 libkprintutils4 libkpty4 libkresources4 libkrosscore4
libkrossui4 libksane-data libksane0 libkscreensaver5 libksgrd4 libksignalplotter4 libktexteditor4 libktnef4 libkunitconversion4 libkutils4 libkwineffects1abi2 libkworkspace4
libkxmlrpcclient4 liblensfun-data liblensfun0 liblsofui4 libmailtransport4 libmarblewidget12 libmicroblog4 libmono-cairo2.0-cil libmono-corlib2.0-cil libmono-data-tds2.0-cil
libmono-i18n-west2.0-cil libmono-messaging2.0-cil libmono-posix2.0-cil libmono-security2.0-cil libmono-sharpzip2.84-cil libmono-simd2.0-cil libmono-sqlite2.0-cil
libmono-system-data-linq2.0-cil libmono-system-data2.0-cil libmono-system-messaging2.0-cil libmono-system-web2.0-cil libmono-system2.0-cil libmono-wcf3.0-cil libmono2.0-cil
libmpeg2-4 libnepomuk4 libnepomukquery4a libnepomukutils4 libnewt0.52 libnspr4-0d libnss3-1d libokularcore1 libortp8 libplasma-geolocation-interface4 libplasma3
libplasmaclock4abi2 libplasmagenericshell4 libprocesscore4abi1 libprocessui4a libqgpgme1 libqt4-dbg libqt4-dbus libqt4-declarative libqt4-designer libqt4-dev libqt4-help
libqt4-network libqt4-opengl libqt4-opengl-dev libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-test
libqt4-xml libqt4-xmlpatterns libqtcore4 libqtgui4 libqtwebkit-dev libqtwebkit4 libquadmath0 libreoffice-base-core libreoffice-calc libreoffice-common libreoffice-core
libreoffice-dbg libreoffice-dev libreoffice-draw libreoffice-emailmerge libreoffice-filter-mobiledev libreoffice-gtk libreoffice-help-en-us libreoffice-impress
libreoffice-java-common libreoffice-kde libreoffice-math libreoffice-ogltrans libreoffice-style-crystal libreoffice-style-galaxy libreoffice-style-oxygen
libreoffice-style-tango libreoffice-wiki-publisher libreoffice-writer libsdl-gfx1.2-4 libsdl-perl libsigsegv2 libsolid4 libsolidcontrol4abi2 libsolidcontrolifaces4abi2
libstdc++6 libsvga1 libsyndication4 libt1-5 libtaskmanager4abi2 libtelepathy-glib0 libthreadweaver4 libtiff-tools libtotem0 libv4l-0 libv4lconvert0 libvcdinfo0
libweather-ion6 libx11-6 libx11-data libx11-dev libx11-doc libx11-xcb1 libxi-dev libxi6 linux-libc-dev lskat make marble marble-data marble-plugins mono-2.0-gac mono-gac
mono-runtime mozilla-libreoffice mplayerthumbs mysql-common nuvola-icon-theme okular oxygen-icon-theme palapeli palapeli-data patch perlmagick plasma-containments-addons
plasma-dataengines-addons plasma-dataengines-workspace plasma-desktop plasma-desktopthemes-artwork plasma-runners-addons plasma-scriptengine-googlegadgets
plasma-scriptengine-javascript plasma-scriptengine-python plasma-scriptengine-ruby plasma-scriptengine-superkaramba plasma-scriptengine-webkit plasma-scriptengines
plasma-wallpapers-addons plasma-widget-folderview plasma-widget-lancelot plasma-widgets-addons plasma-widgets-workspace python-kde4 python-numpy python-uno qdbus
qt4-linguist-tools qt4-qmake shared-desktop-ontologies sweeper system-config-printer-kde systemsettings tcl tcl-dev tcl-doc telepathy-gabble totem totem-common totem-mozilla
totem-plugins transmission-common transmission-gtk ttf-opensymbol uno-libs3 uno-libs3-dbg ure ure-dbg whiptail x11proto-input-dev x11proto-randr-dev xnest xserver-common
xserver-xorg-video-r128 zlib1g zlib1g-dev
452 upgraded, 69 newly installed, 78 to remove and 32 not upgraded.
4 not fully installed or removed.
Need to get 1,512 MB of archives.
After this operation, 116 MB disk space will be freed.
I cannot lose the Gimp and my Nvidia packages, and it looks like after I make these installs I won't have a way to install or upgrade packages without using a GUI. Losing Wine isn't a big deal, at least I don't think it is, and at least the upgrade replaces LibreOffice, but am I seeing this wrong? From what I'm seeing I can't accept the upgrade, and if I reboot my laptop will I be able to do a simple upgrade without the dist-upgrade when I get back into KDE?

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Sun Jan 01, 2012 11:46 am
by Andrew33
GoodMorning Boston;

First....HAPPY NEW YEAR 2012, hope your new year is better than last.....second, are you running sid unstable on your system?....cheers


Andrew

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Sun Jan 01, 2012 12:03 pm
by BostonPeng
I am running Sid. It was needed to get the early availability of KDE SC 4.7.2. Or has that turned around and taken a big bite out of my kiester?

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Sun Jan 01, 2012 1:21 pm
by Andrew33
Yeah.....I just did a dist-upgrade and went into the kde plasma desktop only to find a black desktop, no task bar, no way of getting into anything...the only thing I saw was my screenlets...that's it.....so now I can't do anything with kde side and not knowing what version of kde I have, not to mention can't upgrade to 4.7.4 if I wanted to....go figure :x

What would you suggest

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Sun Jan 01, 2012 1:36 pm
by GeneC
Hi folks

Been following this post, and curiosity got the better of me. :lol:

I followed "zz"'s lead and used his method to get to KDE 4.7.2. My first try at KDE. Seems to have worked ok.
First I loaded a new iso of LMDE-XFCE (64 bit), full update/dist-upgrade tracking testing, then changed repos to SID. Again update/dist-upgrade. Loaded KDE-full, add Experimental repo (temporarily). Upgraded all the KDE packages I could find to 4.7.2. Commented out the Experimental repo. Full reboot and into KDE 4.7.2. Pretty flashy. I must admit to knowing very little about KDE, and just played with it a little just now. Should be interesting.


Andrew
Do you still have Experimental enabled? that would be a problem.

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Sun Jan 01, 2012 1:50 pm
by Andrew33
No, @ the time of DU I was running qt-kde-experimental snapshots, incoming, wheezy, sid, & unstable....right now, I'm in the process of doing upgrade to kde 4.7.4 through experimental

Re: KDE SC 4.7.2 enters Debian (amd64 and i386)

Posted: Sun Jan 01, 2012 2:00 pm
by GeneC
Andrew..

I spoke too soon. :cry:
I just logged out/in to KDE again. I also am messed up. Much of the backgrounds (menu's, file manager), are black. I guess the same problem you had?

(click thumbnail)
Image